﻿/*
An object representing custom clock.
*/
function ClockData(id, city, country, isCurrentCity, currentDateTime) {
    this.Id = id;//Unique id assigned to a clock
    this.Name = city;
    if (country != "") {
        this.Name += ", " + country;
    }
    this.IsCurrentCity = isCurrentCity;//Flag to indicate if it's the current date/time
    this.CurrentDateTime = currentDateTime;//Current date/time
    this.MilliSecondsSince1stJan1970 = Date.parse(currentDateTime);//Get the milliseconds since January 1, 1970

    //Advances clock specified by "timerDuration" variable
    this.AdvanceClock = function (timerDuration) {
        this.MilliSecondsSince1stJan1970 += timerDuration;
    }
}

/*
Gets the current time for a city based on it's GMT offset
*/
function GetCurrentDateTimeForCity(isLocal, gmtOffsetInMinutes, observeDST) {
    var currentDateTime = new Date();
    if (isLocal) {
        return currentDateTime;
    }
    var currentDateTimeInUTC = currentDateTime.valueOf() + (currentDateTime.getTimezoneOffset() * 60 * 1000);
    if (!observeDST) {
        return new Date(currentDateTimeInUTC - (gmtOffsetInMinutes * 60 * 1000));
    }
    if (observeDST) {
        //To do ... logic to add/subtract hours if the current city observes DST
    }
    return new Date(currentDateTimeInUTC - (gmtOffsetInMinutes * 60 * 1000));
}
