﻿var savedClocksPage;//Holds relative path for the savedClocks.html file

//JSON array representing the saved clocks
var savedClocks = [
{ "Id": "00-00000", "City": "Current", "Country": "", "RegionCode": "", "GMTOffsetInMinutes": "0", "IsCurrentCity": true, "DST": false, },
];

var clocks = [];

var selectedClocksDataSource;

var clockRefreshFrequency = 1000;

(function () {
    'use strict';
    // Uncomment the following line to enable first chance exceptions.
    // Debug.enableFirstChanceException(true);

    WinJS.Application.onmainwindowactivated = function (e) {
        if (e.detail.kind === Windows.ApplicationModel.Activation.ActivationKind.launch) {
            savedClocksPage = document.body.getAttribute('data-savedClocks');
            start();
        }
    }

    function navigated(e) {
        WinJS.UI.Fragments.clone(e.detail.location, e.detail.state)
            .then(function (frag) {
            var host = document.getElementById('contentHost');
            host.innerHTML = '';
            host.appendChild(frag);
            document.body.focus();
            var backButton = document.querySelector('header[role=banner] .win-backbutton');
            if (backButton) {
                backButton.addEventListener('click', function () {
                    WinJS.Navigation.back();
                }, false);
                if (WinJS.Navigation.canGoBack) {
                    backButton.removeAttribute('disabled');
                }
                else {
                    backButton.setAttribute('disabled', 'true');
                }
            }
            WinJS.Application.queueEvent({ type: 'fragmentappended', location: e.detail.location, fragment: host, state: e.detail.state });
        });
    }

    function start() {
        WinJS.UI.processAll();
        WinJS.Navigation.navigate(savedClocksPage);
    }

    WinJS.Navigation.addEventListener('navigated', navigated);

    WinJS.Application.start();
})();


function getClock(savedClock) {
    var clock = new WinJS.Binding.as(new ClockData(savedClock.Id, savedClock.City, savedClock.Country, savedClock.IsCurrentCity, GetCurrentDateTimeForCity(savedClock.IsCurrentCity, 0 - savedClock.GMTOffsetInMinutes, savedClock.DST), clockRefreshFrequency));
    return clock;
}


// Advances the clocks by "clockRefreshFrequency"
function advanceClock() {
    for (var i = 0; i < clocks.length; i++) {
        clocks[i].AdvanceClock(clockRefreshFrequency);
    }
}
