﻿(function () {
    'use strict';

    WinJS.Application.addEventListener('fragmentappended', function handler(e) {
        if (e.location.indexOf('savedClocks.html') !== -1) { fragmentLoad(e.fragment, e.state); }
    });

    function fragmentLoad(elements, options) {
        WinJS.UI.processAll(elements)
            .then(function () {
                initializeClocks();
            });
    }


    // Initializes the clocks and binds it to the list view control
    function initializeClocks() {
        clocks = new Array();
        for (var i = 0; i < savedClocks.length; i++) {
            var savedClock = savedClocks[i];
            var clock = getClock(savedClock);
            clocks.push(clock);
        }
        selectedClocksDataSource = new WinJS.UI.ArrayDataSource(clocks, {
            keyOf: function (item) {
                return item.Id;
            },
            compareByIdentity: true,
        });

        getWinJSControl("listViewSavedClocks").dataSource = selectedClocksDataSource;

        setIntervalHandler = setInterval("advanceClock()", clockRefreshFrequency);

    }

    WinJS.Namespace.define('savedClocks', {
        fragmentLoad: fragmentLoad,
    });
})();
